# Generated by Django 4.1.3 on 2022-11-03 18:00

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("projects", "0001_initial"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="Task",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=200)),
                ("notes", models.TextField(blank=True, null=True)),
                ("start_date", models.DateTimeField(blank=True)),
                ("due_date", models.DateTimeField(blank=True)),
                ("is_completed", models.BooleanField(default=False)),
                (
                    "relationship",
                    models.CharField(
                        choices=[
                            ("none", "- none -"),
                            ("startstart", "Start to Start"),
                            ("endstart", "End to Start"),
                            ("endend", "End to End"),
                        ],
                        default="none",
                        max_length=20,
                    ),
                ),
                ("task_duration", models.IntegerField(blank=True, null=True)),
                (
                    "assignee",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="tasks",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "project",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="tasks",
                        to="projects.project",
                    ),
                ),
                (
                    "related_task",
                    models.ForeignKey(
                        blank=True,
                        default="self",
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name="dependencies",
                        to="tasks.task",
                    ),
                ),
            ],
        ),
    ]
